_Ecore_Event_Axis_Update Struct Reference
Ecore Input

## Data Fields

Ecore_Window | window
Ecore_Window | root_window
Ecore_Window | event_window
unsigned int | timestamp
int | device
int | toolid
int | naxis
Ecore_Axis * | axis
Eo * | dev
| The Efl_Input_Device that originated the event.

## Field Documentation

## dev

Eo* _Ecore_Event_Axis_Update::dev

The Efl_Input_Device that originated the event.

Since
  1.19